; This is the main configuration file for standalone OpenSim instances

[DatabaseService]
    ;
    ; ### Choose the DB
    ;

    ; SQLite
    ;;Include-Storage = "config-include/storage/SQLiteStandalone.ini";

    ; Unfortunately the current SQLite database plugin is not compatible with Mac OSX.  You can still use the older
    ; legacy sqlite library if you are using Mono 2.4.  Please see the notes in OpenSim.ini (search for sqlite)
    ; for more details
    ;Include-Storage = "config-include/storage/SQLiteLegacyStandalone.ini";

    ; MySql
    ; Uncomment these lines if you want to use mysql storage
    ; Change the connection string to your db details
    StorageProvider = "OpenSim.Data.MySQL.dll"
    ConnectionString = "Data Source=localhost;Database=nombre_basededatos;User ID=usuario;Password=password;Old Guids=true;"
    ; Uncomment this line if you are using MySQL and want to use a different database for estates
    ;EstateConnectionString = "Data Source=localhost;Database=opensim;User ID=opensim;Password=***;Old Guids=true;"

[AssetService]
    DefaultAssetLoader = "OpenSim.Framework.AssetLoader.Filesystem.dll"
    AssetLoaderArgs = "assets/AssetSets.xml"

[HGInventoryService]
    ProfileServerURI = "http://localhost:9000/profiles"

[HGAssetService]
    ProfileServerURI = "http://localhost:9000/profiles"

[HGInventoryAccessModule]
    ProfileServerURI = "http://localhost:9000/profiles"
	;; If you want to protect your assets from being copied by foreign visitors
	;; uncomment the next line. You may want to do this on sims that have licensed content.
	; OutboundPermission = False


[Modules]
    ;; Choose 0 or 1 cache modules, and the corresponding config file, if it exists.
    ;; Copy the config .example file into your own .ini file and change configs there

    ;AssetCaching = "GlynnTuckerAssetCache"

    ;AssetCaching = "FlotsamAssetCache"
    ;Include-FlotsamCache = "config-include/FlotsamCache.ini"

    AssetCaching = "CenomeMemoryAssetCache"
    Include-CenomeCache = "config-include/CenomeCache.ini"

    ;; Enable this to use Freeswitch on a standalone
    ;FreeswitchServiceInConnector = True

    ;; Authorization is not on by default, as it depends on external php
    ;AuthorizationServices = "LocalAuthorizationServicesConnector"

[FreeswitchService]
    ;; Configuration for the freeswitch service goes here
    LocalServiceModule = "OpenSim.Services.FreeswitchService.dll:FreeswitchService"

[GridService]
    ;; For in-memory region storage (default)
    ;;StorageProvider = "OpenSim.Data.Null.dll:NullRegionData"
    ;;--- For MySql region storage (alternative)
    StorageProvider = "OpenSim.Data.MySQL.dll:MySqlRegionData"

    ;; With hypergrid, perform distance check for the creation of a linked region
    ; Check4096 = true

    ;; Directory for map tile images of remote regions
    ; MapTileDirectory = "./maptiles"

    ;; Next, we can specify properties of regions, including default and fallback regions
    ;; The syntax is: Region_<RegioName> = "<flags>"
    ;; where <flags> can be DefaultRegion, FallbackRegion, NoDirectLogin, Persistent, LockedOut
    ;; For example:
    Region_Welcome_Area = "DefaultRegion, FallbackRegion"

    ; === HG ONLY ===
	;; change this to the address of your simulator
	Gatekeeper="http://localhost:9000"


[LibraryModule]
    ; Set this if you want to change the name of the OpenSim Library
    ;LibraryName = "My World's Library"

[LoginService]
    WelcomeMessage = "¡Bienvenido a Metaverso!"
    GatekeeperURI = "http://localhost:9000"

    SRV_HomeURI = "http://localhost:9000"    
    SRV_InventoryServerURI = "http://localhost:9000"
    SRV_AssetServerURI = "http://localhost:9000"
    SRV_ProfileServerURI = "http://localhost:9000"

[GatekeeperService]
    ExternalName = "http://localhost:9000"

    ; Does this grid allow incoming links to any region in it?
    ; If false, HG TPs happen only to the  Default regions specified in [GridService] section
    AllowTeleportsToAnyRegion = false

[GridInfoService]
    ; These settings are used to return information on a get_grid_info call.
    ; Client launcher scripts and third-party clients make use of this to
    ; autoconfigure the client and to provide a nice user experience. If you
    ; want to facilitate that, you should configure the settings here according
    ; to your grid or standalone setup.
    ;
    ; See http://opensimulator.org/wiki/GridInfo

    ; login uri: for grid this is the login server URI
    login = http://localhost:9000/

    ; long grid name: the long name of your grid
    gridname = "Metaverso"

    ; short grid name: the short name of your grid
    gridnick = "metaverso"

    ; login page: optional: if it exists it will be used to tell the client to use
    ;                       this as splash page
    ; currently unused
    ;welcome = http://localhost/welcome.html

    ; helper uri: optional: if it exists if will be used to tell the client to use
    ;                       this for all economy related things
    ; currently unused
    ;economy = http://127.0.0.1:9000/

    ; web page of grid: optional: page providing further information about your grid
    ; currently unused
    ;about = http://127.0.0.1/about/

    ; account creation: optional: page providing further information about obtaining
    ;                             a user account on your grid
    ; currently unused
    ;register = http://127.0.0.1/register

    ; help: optional: page providing further assistance for users of your grid
    ; currently unused
    ;help = http://127.0.0.1/help

    ; password help: optional: page providing password assistance for users of your grid
    ; currently unused
    ;password = http://127.0.0.1/password
